> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List avatars

> List public and user Podcast avatars by type.

MCP tool: `podcast_list_avatars`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/avatars
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/avatars:
    get:
      tags:
        - Podcast
      summary: list avatars
      description: List public and user Podcast avatars by type.
      operationId: podcast_list_avatars
      parameters:
        - description: 数字人类型：pet/cartoon/baby/all
          in: query
          name: avatar_type
          required: true
          schema:
            type: string
        - description: 宽高比 0:9比16/1:16比9
          in: query
          name: aspect_ratio
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.ListPodcastAvatarByUserIdResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.ListPodcastAvatarByUserIdResp:
      properties:
        list:
          items:
            $ref: '#/components/schemas/vo.ListPodcastAvatarItem'
          type: array
      type: object
    vo.ListPodcastAvatarItem:
      properties:
        aspect_ratio:
          description: 宽高比/0:9比16/1:16比9
          type: integer
        avatar_type:
          description: 数字人类型 default/pet/cartoon/baby
          type: string
        background_id:
          description: 背景ID
          type: integer
        background_url:
          description: 背景展示图URL
          type: string
        id:
          description: ID, 对话数字人ID
          type: integer
        is_demo:
          description: 是否是Demo，false不是，true是
          type: boolean
        motion_preview_url:
          description: motion预览视频URL（不驱动嘴形）
          type: string
        podcast_avatar_id:
          description: 创建/生成对话数字人的ID，仅用户数字人返回
          type: integer
        prjUserDigitalPerson1:
          $ref: '#/components/schemas/vo.UserDigitalPersonListItem'
        prjUserDigitalPerson2:
          $ref: '#/components/schemas/vo.UserDigitalPersonListItem'
        sort:
          description: demo排序值，数字越大越靠前
          type: integer
        status:
          description: 状态 0:未开始/1:photo生成中/2:photo生成完成/3:motion生成中/4:avatar制作中/5:已完成/6:失败
          type: integer
        tag:
          description: 标签
          type: string
        typ:
          description: 类型 0:切镜对话数字人/1:裁剪对话数字人/2:多机位数字人
          type: integer
      type: object
    vo.UserDigitalPersonListItem:
      properties:
        activity_unique_id:
          description: 活动唯一标识
          type: string
        aigc_photo_from:
          description: aigc数字人生成原始图片来源：1-aigc生成；2-reference
          type: integer
        aigc_photo_target:
          description: aigc数字人原始图片目标值
          type: string
        app_id:
          description: app_id
          type: string
        aspect_ratio:
          description: 宽高比/0:9比16/1:16比9
          type: integer
        auth_id:
          description: 授权视频表id
          type: integer
        auth_status:
          description: 聚合授权状态 1:授权中/2:已授权/3:授权未通过
          type: integer
        authorization_status:
          description: 是否同一人授权状态0:未开始/1:授权中/2:已授权/3:授权未通过
          type: integer
        avatar_type:
          description: 数字人类型 default/pet/cartoon/baby
          type: string
        avatar_url:
          type: string
        avatar_x_belong:
          description: avatarX归属于哪个数字人
          type: integer
        avatar_x_name:
          description: avatarX名称
          type: string
        avatar_x_num:
          description: avatarX数量
          type: integer
        cover_url:
          type: string
        created_at:
          description: 创建时间
          type: integer
        deleted_at:
          description: 用户主动删除时间
          type: integer
        description:
          type: string
        face_center_x:
          type: number
        face_center_y:
          type: number
        face_url:
          type: string
        fail_msg:
          description: 失败的提示信息，给用户看这个
          type: string
        first_click:
          type: integer
        from_api:
          description: True api only else False
          type: boolean
        gender:
          type: integer
        h:
          type: integer
        id:
          type: integer
        is_mine:
          description: 是否是当前用户所有
          type: boolean
        keying_status:
          description: 抠像状态，0:未开始/1:抠像中/2:抠像完成/3:抠像失败
          type: integer
        keying_video_url:
          type: string
        lang_voice_map:
          additionalProperties:
            $ref: '#/components/schemas/vo.VoiceInfo'
          description: 多语言音色信息
          type: object
        length:
          type: number
        make_status:
          description: 数字人制作状态，1:等待motion/2:排队中/3:制作中/4:制作完成/5:制作失败
          type: integer
        mask_url:
          type: string
        motion_unique_id:
          description: 关联的 motion UniqueID
          type: string
        name:
          type: string
        operate_feedback:
          description: 运营反馈
          type: string
        origin_be_optimize:
          description: 原视频是否被优化 0:否/1:是
          type: integer
        origin_check_face_status:
          description: 原视频人脸检测状态 0:未开始/1:检测中/2:检测完成/3:检测失败
          type: integer
        origin_type:
          description: '原视频类型: 0-上传；1-record'
          type: integer
        origin_url:
          type: string
        owner_avatar:
          description: 创建者头像
          type: string
        owner_nick_name:
          description: 创建者昵称
          type: string
        person_source:
          description: 要填入工程文件的数字人来源
          type: integer
        photo_library_unique_id:
          description: 关联的图片库 UniqueID
          type: string
        podcast_typ:
          description: 对话数字人类型 0:非对话数字人/1:对话数字人 左/2:1:对话数字人 右
          type: integer
        prefer_model:
          type: string
        preview_mask_url:
          type: string
        preview_url:
          type: string
        product_status:
          description: 数字人制作状态，0制作中 1成功 2失败
          type: integer
        progress:
          description: 进度
          type: integer
        publish:
          type: integer
        remix_avatar_unique_id:
          description: remix ugcAvatar 表的 uniqueId
          type: string
        review_status:
          description: 正在后台审核状态 0 正常 1 后台审核中
          type: integer
        show_type:
          description: 数字人展示形式 all = 全身 | circle = 头像
          type: string
        show_type_preset:
          allOf:
            - $ref: '#/components/schemas/vo.ShowTypePreset'
          description: 数字人预设的大小和位置
        space_owner_plan_id:
          description: 空间所有者的计划ID
          type: integer
        status:
          type: integer
        third_party_lip:
          description: 是否使用第三方嘴形0:不使用/1:爱诗
          type: integer
        timbre_id:
          type: integer
        timbre_name:
          description: 音色名称
          type: string
        typ:
          description: 数字人类型0:定制数字人/1:AIGC数字人-生成/2:AIGC数字人-上传
          type: integer
        updated_at:
          description: 更新时间
          type: integer
        voice_clone_status:
          description: 声音克隆状态 1:无需克隆/2:未开始/3:克隆中/4:克隆完成/5:克隆失败
          type: integer
        voice_id:
          description: VoiceID 废弃，用timbre_id替代
          type: string
        voice_info:
          allOf:
            - $ref: '#/components/schemas/vo.VoiceInfo'
          description: 音色信息
        w:
          type: integer
        webm_url:
          type: string
        welcome_text:
          type: string
        welcome_url:
          type: string
      type: object
    vo.VoiceInfo:
      properties:
        age:
          description: elevenlabs标签 年龄
          type: string
        gender:
          description: 性别 Male or Female /elevenlabs有标签的话会用 性别
          type: string
        id:
          type: integer
        lang:
          description: cn 中文； en 英文
          type: string
        name:
          description: 名称
          type: string
        preview_url:
          description: 试听链接
          type: string
        type:
          description: 声音人类型： microsoft
          type: string
        unique_id:
          type: string
      type: object
    vo.ShowTypePreset:
      properties:
        all:
          $ref: '#/components/schemas/vo.ShowTypePresetItem'
        circle:
          $ref: '#/components/schemas/vo.ShowTypePresetItem'
      type: object
    vo.ShowTypePresetItem:
      properties:
        shape:
          $ref: '#/components/schemas/vo.ShowTypePresetShape'
        size:
          $ref: '#/components/schemas/vo.ShowTypePresetSize'
      type: object
    vo.ShowTypePresetShape:
      properties:
        color:
          description: 背景颜色
          type: string
        h:
          description: 容器内元素高度 【相对容器尺寸，单位为百分比】
          type: number
        r:
          description: 容器内元素旋转角度
          type: integer
        type:
          description: 形状 矩形 rect、圆形 circle
          type: string
        w:
          description: 容器内元素宽度 【相对容器尺寸，单位为百分比】
          type: number
        x:
          description: 容器内元素位置x 【相对容器位置，单位为百分比】
          type: number
        'y':
          description: 容器内元素位置y 【相对容器位置，单位为百分比】
          type: number
      type: object
    vo.ShowTypePresetSize:
      properties:
        h:
          type: integer
        w:
          type: integer
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````